<!DOCTYPE html>
{% load bootstrap %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
</head>
<body>
    <table class="table table-bordered" border="1" align="center">
           <tr>
               <th></th>
               <th>№:</th>
               <th>Ф.И.О</th>
               <th>Возраст</th>
               <th>Предмет</th>
               <th>Группа</th>
           </tr >
           {% for teacher in teachers %}
           <tr>
                <td><a class="btn btn-primary" href="{% url 'teacher-update' teacher.id %}">Edit</a></td>
                <td align="center">{{ forloop.counter }}</td>
                <td>{{teacher.last_name}} {{teacher.first_name|slice:"1"}}. {{teacher.middle_name|slice:"1"}}.</td>
                <td>{{teacher.age}}</td>
                <td>{{teacher.subject}}</td>
                <td>{{teacher.group}}</td>
           </tr>
           {% endfor %}
    </table>
</body>
</html>